> ## Documentation Index
> Fetch the complete documentation index at: https://developer.duplik.cn/llms.txt
> Use this file to discover all available pages before exploring further.

> 获取一个文档的详细信息

# Get Document



## OpenAPI

````yaml get /v1/documents/{document_id}
openapi: 3.0.2
info:
  title: Duplik Backend
  description: The API for Duplik Backend.
  version: 0.1.0
servers:
  - url: https://api.duplik.cn
security: []
paths:
  /v1/documents/{document_id}:
    get:
      tags:
        - openapi-document
      summary: Get Document
      description: get document detail
      operationId: get_document_v1_documents__document_id__get
      parameters:
        - required: true
          schema:
            title: Document Id
            type: integer
          name: document_id
          in: path
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentDetailOfAPI'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    DocumentDetailOfAPI:
      title: DocumentDetailOfAPI
      required:
        - document_id
      type: object
      properties:
        document_id:
          title: Document Id
          type: integer
        name:
          title: Name
          type: string
        description:
          title: Description
          type: string
        summary:
          title: Summary
          type: string
        url:
          title: Url
          type: string
        process_status:
          title: Process Status
          type: integer
        segment_list:
          title: Segment List
          type: array
          items:
            $ref: '#/components/schemas/DocumentSegmentOfAPI'
        meta_data:
          title: Meta Data
          type: object
    ErrorResponse:
      title: ErrorResponse
      required:
        - code
        - message
      type: object
      properties:
        code:
          title: Code
          type: integer
        message:
          title: Message
          type: string
    DocumentSegmentOfAPI:
      title: DocumentSegmentOfAPI
      required:
        - segment_num
        - content
      type: object
      properties:
        name:
          title: Name
          type: string
        segment_num:
          title: Segment Num
          type: integer
        content:
          title: Content
          type: string
        start_s:
          title: Start S
          type: integer
        end_s:
          title: End S
          type: integer
        width:
          title: Width
          type: number
        height:
          title: Height
          type: number
        questions:
          title: Questions
          type: array
          items:
            type: string
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````